#ifndef _UMAP_CMD_H_
#define _UMAP_CMD_H_


#define MACRO_CMDID_COLLECTIONS(name) \
               CmdId##name##Create, \
               CmdId##name##CreateAck, \
               CmdId##name##Delete, \
               CmdId##name##DeleteAck, \
               CmdId##name##Get, \
               CmdId##name##GetAck, \
               CmdId##name##GetNext, \
               CmdId##name##GetNextAck, \
               CmdId##name##Set, \
               CmdId##name##SetAck, \
               CmdId##name##Evt, \
               CmdId##name##EvtAck,
               
               
typedef enum {
               CmdIdTimer,
//cm
               MACRO_CMDID_COLLECTIONS(AtmTrafficDescrIndexNext)
               MACRO_CMDID_COLLECTIONS(AtmTrafficDescrParam)
               MACRO_CMDID_COLLECTIONS(AtmVpl)
               MACRO_CMDID_COLLECTIONS(AtmVcl)
               MACRO_CMDID_COLLECTIONS(AtmInterfaceConf)
               MACRO_CMDID_COLLECTIONS(WinpathIfc)
               MACRO_CMDID_COLLECTIONS(WinpathPhyEnet)
               MACRO_CMDID_COLLECTIONS(WinpathBridgePort)
               MACRO_CMDID_COLLECTIONS(WinpathBridgeSrcMacFilter)
               MACRO_CMDID_COLLECTIONS(WinpathBridgeIpFilter)
               MACRO_CMDID_COLLECTIONS(WinpathBridgePrioTagFilter)
               MACRO_CMDID_COLLECTIONS(WinpathIgmpGroup)
               MACRO_CMDID_COLLECTIONS(WinpathBridge)
               MACRO_CMDID_COLLECTIONS(WinpathIgmp)
               MACRO_CMDID_COLLECTIONS(Vpmt) 
               MACRO_CMDID_COLLECTIONS(EnetTrafficDescrParam) 
               MACRO_CMDID_COLLECTIONS(EnetChannel)               
               MACRO_CMDID_COLLECTIONS(Sntp)
               MACRO_CMDID_COLLECTIONS(DhcpRelay)
               MACRO_CMDID_COLLECTIONS(User)
               MACRO_CMDID_COLLECTIONS(Syslog)
               MACRO_CMDID_COLLECTIONS(Http)
               MACRO_CMDID_COLLECTIONS(TpFdb)
               MACRO_CMDID_COLLECTIONS(FdbStatic)
               MACRO_CMDID_COLLECTIONS(TpStatic)
               MACRO_CMDID_COLLECTIONS(Stp)
               MACRO_CMDID_COLLECTIONS(StpPort)
               MACRO_CMDID_COLLECTIONS(MemberSet)
               MACRO_CMDID_COLLECTIONS(VlanStatic)
               MACRO_CMDID_COLLECTIONS(PortVlan)
               MACRO_CMDID_COLLECTIONS(Dot1dPortPriority)
               MACRO_CMDID_COLLECTIONS(Dot1dTrafficClass)
               MACRO_CMDID_COLLECTIONS(ShdslSpanStatus)
               MACRO_CMDID_COLLECTIONS(ShdslInventory)
               MACRO_CMDID_COLLECTIONS(ShdslSpanConf)
               MACRO_CMDID_COLLECTIONS(ShdslSpanConfProfile)
               MACRO_CMDID_COLLECTIONS(ShdslEndpointAlarmConfProfile)
               MACRO_CMDID_COLLECTIONS(ShdslBinding)
               MACRO_CMDID_COLLECTIONS(ShdslPortEnable)
               MACRO_CMDID_COLLECTIONS(ShdslEndpointMaint)
               MACRO_CMDID_COLLECTIONS(ShdslUnitMaint)
               MACRO_CMDID_COLLECTIONS(SnmpTargetAddr)
               MACRO_CMDID_COLLECTIONS(SnmpNotify)
               MACRO_CMDID_COLLECTIONS(SnmpCommunity)

               MACRO_CMDID_COLLECTIONS(Xdsl)
               MACRO_CMDID_COLLECTIONS(XdslLine)
               MACRO_CMDID_COLLECTIONS(XdslLineConf)
               MACRO_CMDID_COLLECTIONS(XdslLineServiceProfile)
               MACRO_CMDID_COLLECTIONS(XdslLineServiceProfileChannel)
               MACRO_CMDID_COLLECTIONS(XdslLineSpectrumProfile)
               MACRO_CMDID_COLLECTIONS(XdslLineSpectrumProfileAdslAdsl2)
               MACRO_CMDID_COLLECTIONS(XdslLineSpectrumProfileReAdsl2)
               MACRO_CMDID_COLLECTIONS(XdslLineSpectrumProfileAdsl2Plus)
               MACRO_CMDID_COLLECTIONS(XdslXturInventory)
               MACRO_CMDID_COLLECTIONS(XdslXtucInventory)
               MACRO_CMDID_COLLECTIONS(XdslLineOperData)
               MACRO_CMDID_COLLECTIONS(XdslFarEndLineOperData)
               MACRO_CMDID_COLLECTIONS(XdslChannelOperData)
               MACRO_CMDID_COLLECTIONS(XdslFarEndChannelOperData)
               MACRO_CMDID_COLLECTIONS(XdslLineCarrierData)
               MACRO_CMDID_COLLECTIONS(XdslFarEndLineCarrierData)
               MACRO_CMDID_COLLECTIONS(XdslLineFailureStatus)
               MACRO_CMDID_COLLECTIONS(XdslFarEndLineFailureStatus)
               MACRO_CMDID_COLLECTIONS(XdslTest)
               MACRO_CMDID_COLLECTIONS(XdslXtucSeltData)
               MACRO_CMDID_COLLECTIONS(XdslLineTcaThreshold)
               
//pm
               MACRO_CMDID_COLLECTIONS(EnetStats)
               MACRO_CMDID_COLLECTIONS(EnetHcStats)
               MACRO_CMDID_COLLECTIONS(TpPort)
               MACRO_CMDID_COLLECTIONS(ShdslEndpointCurr)
               MACRO_CMDID_COLLECTIONS(Shdsl15MinInterval)

               MACRO_CMDID_COLLECTIONS(XdslLineInterval)
               MACRO_CMDID_COLLECTIONS(XdslFarEndLineInterval)
               MACRO_CMDID_COLLECTIONS(XdslChannelInterval)
               MACRO_CMDID_COLLECTIONS(XdslFarEndChannelInterval)
               MACRO_CMDID_COLLECTIONS(XdslLine1Day)
               MACRO_CMDID_COLLECTIONS(XdslFarEndLine1Day)
               MACRO_CMDID_COLLECTIONS(XdslChannel1Day)
               MACRO_CMDID_COLLECTIONS(XdslFarEndChannel1Day)
               MACRO_CMDID_COLLECTIONS(XdslPerfInfo)

//fm
               MACRO_CMDID_COLLECTIONS(AlmProfile) 
               MACRO_CMDID_COLLECTIONS(Alm) 
               MACRO_CMDID_COLLECTIONS(AlmCurrent) 
               MACRO_CMDID_COLLECTIONS(AlmEvent)   
               MACRO_CMDID_COLLECTIONS(AlmMain)                
               MACRO_CMDID_COLLECTIONS(AlmTemperature)                        
               MACRO_CMDID_COLLECTIONS(AlmSeqIdNext)                 
               MACRO_CMDID_COLLECTIONS(AlmEventSeqIdNext)                        
//mm
               MACRO_CMDID_COLLECTIONS(WinpathDebug)
               MACRO_CMDID_COLLECTIONS(TrunkCardLed) 
               MACRO_CMDID_COLLECTIONS(XdslUnitLed) 
               MACRO_CMDID_COLLECTIONS(XdslChlLed) 
               MACRO_CMDID_COLLECTIONS(SysMain)
               MACRO_CMDID_COLLECTIONS(IfEntry) 
               MACRO_CMDID_COLLECTIONS(EntPhysicalEntry) 
               MACRO_CMDID_COLLECTIONS(AtmInterfaceLLID)
               MACRO_CMDID_COLLECTIONS(AccessCardSrv)
               MACRO_CMDID_COLLECTIONS(AccessCardReset)

//internal

               MACRO_CMDID_COLLECTIONS(AdslRptAtucPMTrap) 
               MACRO_CMDID_COLLECTIONS(AdslRptAturPMTrap) 

}UMAP_CmdId;

#endif

